Можем ли мы поменять пакеты в Linux с нуля?

Я попытался скомпилировать Linux через Linux с нуля версии 7.5, и я не могу скомпилировать некоторые пакеты, потому что, когда я понимаю и искал их, у них есть некоторые ошибки, например я не мог скомпилировать gcc 4.8. 2, но gcc 4.9. 1 составлен просто отлично, поэтому мои вопросы:

Можно ли заменить некоторые пакеты на более старые или более новые пакеты? Это вызывает некоторые проблемы в будущем?

  • LiveCD для LFS 7.0
  • Linux из бинариев
  • Настройка wifi-конфигураций для Broadcom43142
  • libbfd-2.22.so отсутствует при компиляции Binutils / Glibc / Zlib
  • Сценарий Bash для изменения пароля в chroot
  • Linux From Scratch 7.2: Ошибка при создании binutils-2.22 в главе 6
  • bash: невозможно установить группу терминальных процессов (-1): неприемлемо ioctl для устройства
  • Добавление настраиваемой опции в настройках kde
  • One Solution collect form web for “Можем ли мы поменять пакеты в Linux с нуля?”

    Из их общего FAQ:

    Могу ли я использовать версию, более новую, чем версия книги?

    Если это ваш первый раз, когда вы строите LFS, использование версии, не входящей в книгу или меняющейся от книги, не является хорошей идеей. Регуляторы IRC-канала имеют высказывание «FBBG», что означает «Follow Book, Book Good». Они и люди в списках помогли многим несчастным новичкам, которые отклонились от книги во время этой первой сборки.

    После того, как вы построили систему «по книге», у вас есть стабильная база знаний, из которой можно экспериментировать с содержанием вашего сердца (или болью, как это часто бывает).

    Наверное, они говорят это не просто так.

    Linux и Unix - лучшая ОС в мире.